# TODO: shared lib calls exit

%define major	0
%define libname	%mklibname %{name}_ %{major}
%define devname	%mklibname %{name} -d

Name:           iec16022
Version:        0.3.1
Release:        %mkrel 1
Summary:        Generate ISO/IEC 16022 2D barcodes
Group:          Graphics/Utilities
License:        GPLv2+
URL:            https://rdoeffinger.github.io/
Source0:        https://github.com/rdoeffinger/iec16022/releases/download/v%{version}/iec16022-%{version}.tar.xz
BuildRequires:  pkgconfig(popt)
BuildRequires:	pkgconfig(zlib)

%description
iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also
known as Data Matrix.  These barcodes are defined in the ISO/IEC 16022
standard.

%package -n %{libname}
Summary:	ISO/IEC 16022 libraries
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{devname}
Summary:	ISO/IEC 16022 development files
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description  -n %{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%make_build -C test check

%files
%{_bindir}/iec16022
%{_mandir}/man1/iec16022.1*

%files -n %{libname}
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_libdir}/libiec16022.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/iec16022/
%{_libdir}/libiec16022.so
%{_libdir}/pkgconfig/libiec16022.pc


%changelog
* Sun Jun 26 2022 wally <wally> 0.3.1-1.mga9
+ Revision: 1866375
- new version 0.3.1

* Wed Mar 16 2022 umeabot <umeabot> 0.3.0-2.mga9
+ Revision: 1794995
- Mageia 9 Mass Rebuild

* Sat Jan 02 2021 wally <wally> 0.3.0-1.mga8
+ Revision: 1668244
- new version 0.3.0

* Thu Feb 13 2020 umeabot <umeabot> 0.2.4-12.mga8
+ Revision: 1513565
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.2.4-11.mga7
+ Revision: 1298279
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 0.2.4-10.mga7
+ Revision: 1235421
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 0.2.4-9.mga6
+ Revision: 932766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-8.mga5
+ Revision: 745729
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-7.mga5
+ Revision: 680466
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.4-6.mga4
+ Revision: 520960
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 fwang <fwang> 0.2.4-5.mga3
+ Revision: 388174
- add back patch0
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.2.4-4.mga1
+ Revision: 76159
- rebuild for bug #497

* Thu Mar 17 2011 wally <wally> 0.2.4-3.mga1
+ Revision: 73304
- fix requires and provides

* Thu Mar 17 2011 wally <wally> 0.2.4-2.mga1
+ Revision: 73285
- fix group tag

* Thu Mar 17 2011 wally <wally> 0.2.4-1.mga1
+ Revision: 73265
- imported package iec16022

